
package cn.orionsec.ops.service.api;

import cn.orionsec.kit.lang.define.wrapper.DataGrid;
import cn.orionsec.ops.entity.request.machine.MachineProxyRequest;
import cn.orionsec.ops.entity.vo.machine.MachineProxyVO;

import java.util.List;

public interface MachineProxyService {

    /**
     * 添加代理
     *
     * @param request request
     * @return id
     */
    Long addProxy(MachineProxyRequest request);

    /**
     * 修改代理
     *
     * @param request request
     * @return effect
     */
    Integer updateProxy(MachineProxyRequest request);

    /**
     * 分页查询
     *
     * @param request request
     * @return rows
     */
    DataGrid<MachineProxyVO> listProxy(MachineProxyRequest request);

    /**
     * 查询详情
     *
     * @param id id
     * @return row
     */
    MachineProxyVO getProxyDetail(Long id);

    /**
     * 删除代理
     *
     * @param idList idList
     * @return effect
     */
    Integer deleteProxy(List<Long> idList);

}
